export default {
  methods: {
    forceAdjustResolver(gen) {
      const models = this.generation.activeModels.find(item => item.generation == gen).models
      const generation = this.generation.activeModels.find(item => item.generation == gen).generation


      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId)

        item.adjustIndicator = currentGroup.groupIndicator
        if(currentGroup.groupIndicator >= 0) {
          item.adjustRecord = `${currentGroup.groupApprovedCount + currentGroup.groupIndicator} /${currentGroup.personCount}`
        }else {
          item.adjustRecord = `${currentGroup.groupApprovedCount} /${currentGroup.personCount}`
        }
      })
      return {
        adjustRecord:{
          label:'调剂补录情况'
        },
        adjustIndicator:{
          label:'调剂补录结果',
          slot: 'underOver'
        }
      }
    }
  }
}
